package linux-image-3.13.0-24-generic 3.13.0-24.46 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1

Bug #1317602 reported by ab
122
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Confirmed
Medium
Unassigned

Bug Description

while installing an update

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-24-generic 3.13.0-24.46
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic i686
ApportVersion: 2.14.1-0ubuntu3
Architecture: i386
CRDA: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden: 'iw'
Date: Thu May 8 19:11:23 2014
DuplicateSignature: package:linux-image-3.13.0-24-generic:3.13.0-24.46:subprocess new pre-installation script returned error exit status 1
ErrorMessage: subprocess new pre-installation script returned error exit status 1
HibernationDevice: RESUME=UUID=56bc50ae-9d55-42ad-9ff5-6ece8d748bb3
InstallationDate: Installed on 2014-05-03 (5 days ago)
InstallationMedia: It
Lsusb:
 Bus 001 Device 002: ID 0cde:0006 Z-Com XG-300 802.11b Adapter
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 046d:c018 Logitech, Inc. Optical Wheel Mouse
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: FUJITSU SIEMENS AMILO L Series
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-24-generic root=/dev/mapper/it--vg-root ro quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions: grub-pc 2.02~beta2-9
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Title: package linux-image-3.13.0-24-generic 3.13.0-24.46 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)
WifiSyslog:

dmi.bios.date: 11/25/2005
dmi.bios.vendor: FUJITSU SIEMENS
dmi.bios.version: 1.0G-0031-0812
dmi.board.name: AMILO L7300
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: None
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnFUJITSUSIEMENS:bvr1.0G-0031-0812:bd11/25/2005:svnFUJITSUSIEMENS:pnAMILOLSeries:pvr:rvnFUJITSUSIEMENS:rnAMILOL7300:rvrNone:cvnFUJITSUSIEMENS:ct10:cvrN/A:
dmi.product.name: AMILO L Series
dmi.sys.vendor: FUJITSU SIEMENS

Revision history for this message
ab (ab2) wrote :
tags: removed: need-duplicate-check
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

You may need to run the following:

sudo apt-get install -f
sudo apt-get clean
sudo apt-get update

Then re-install the package.

If that does not resolve your issue, please mark the bug as "Confirmed"

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Revision history for this message
David Velazquez (lemonsforlemonade) wrote :

Believe this is affecting me as well. Below is what I see when upgrading. Tried the above instructions however the error persists.

Setting up linux-image-3.13.0-24-generic (3.13.0-24.47) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Failed to symbolic-link boot/initrd.img-3.13.0-24-generic to initrd.img:File exists at /var/lib/dpkg/info/linux-image-3.13.0-24-generic.postinst line 629.
dpkg: error processing package linux-image-3.13.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17
dpkg: dependency problems prevent configuration of linux-image-extra-3.13.0-24-generic:
 linux-image-extra-3.13.0-24-generic depends on linux-image-3.13.0-24-generic; however:
  Package linux-image-3.13.0-24-generic is not configured yet.

dpkg: error processing package linux-image-extra-3.13.0-24-generic (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-3.13.0-24-generic
 linux-image-extra-3.13.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Revision history for this message
hamish (hamish-b) wrote :
Download full text (5.8 KiB)

Hi,

this is what we're getting on lubuntu 14.04:

The following packages have been kept back:
  linux-generic linux-headers-generic linux-image-generic
..
The following packages will be upgraded:
  linux-headers-3.13.0-24 linux-headers-3.13.0-24-generic
  linux-image-3.13.0-24-generic linux-image-extra-3.13.0-24-generic

...

Unpacking linux-image-3.13.0-24-generic (3.13.0-24.47) over (3.13.0-24.46) ...
Unpacking linux-headers-3.13.0-24 (3.13.0-24.47) over (3.13.0-24.46) ...
Unpacking linux-headers-3.13.0-24-generic (3.13.0-24.47) over (3.13.0-24.46) ...
Unpacking linux-image-extra-3.13.0-24-generic (3.13.0-24.47) over (3.13.0-24.46) ...
..
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-24-generic /boot/vmlinuz-3.13.0-24-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-24-generic /boot/vmlinuz-3.13.0-24-generic

...

Setting up linux-image-3.13.0-24-generic (3.13.0-24.47) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Failed to symbolic-link boot/initrd.img-3.13.0-24-generic to initrd.img:File exists at /var/lib/dpkg/info/linux-image-3.13.0-24-generic.postinst line 629.
dpkg: error processing package linux-image-3.13.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17

see http://aiolos.survey.ntua.gr/gisvm/dev/ for nightly iso build r11438 which can be booted into a VM & associated build logs.

'apt-get install -f' fails:

# apt-get update
...
# apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  linux-image-generic
Use 'apt-get autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-3.13.0-24-generic (3.13.0-24.47) ...
Running depmod.
update-initramfs is disabled since running on read-only media
Failed to symbolic-link boot/initrd.img-3.13.0-24-generic to initrd.img:File exists at /var/lib/dpkg/info/linux-image-3.13.0-24-generic.postinst line 629.
dpkg: error processing package linux-image-3.13.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17
dpkg: dependency problems prevent configuration of linux-image-extra-3.13.0-24-generic:
 linux-image-extra-3.13.0-24-generic depends on linux-image-3.13.0-24-generic; however:
  Package linux-image-3.13.0-24-generic is not configured yet.

dpkg: error processing package linux-image-extra-3.13.0-24-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-3.13.0-24-generic; however:
  Package linux-image-3.13.0-24-generic is not configured yet.
 linux-image-generic depends on linux-image-extra-3.13.0-24-generic; however:
  Package linux-image-extra-3.13.0-24-generic is not configured yet.

dpkg: error processing package linux-image-generic (--configure):
 dependency problems - leaving unconfigured
No a...

Read more...

hamish (hamish-b)
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
hamish (hamish-b) wrote :

as a workaround, manually running `update-initramfs -u` seems to fix the broken symlink; needs to be done before 'apt-get upgrade'.

we're still seeing an "unknown initscript" error with libpam-systemd which is messing up dpkg, but that's a matter for another ticket...

Hamish

Revision history for this message
bog (martaina) wrote :

This also breaks PXE installations. Obviously the mentioned workaround is not possible on a pxe-installation.

Revision history for this message
zoolook (nbensa) wrote :

As @bog said, this breaks PXE installs. I found that commenting the following line in my preseed workarounds the bug for me:

d-i pkgsel/upgrade select full-upgrade

Revision history for this message
Philipp Gassmann (phiphi.g) wrote :

I would set this bug priority to high, as it breaks automatic (Network-boot) installation in Enterprises that worked until now.
Thanks @zoolook ~nbensa for the workaround.

Revision history for this message
Trevor G Francis (trevor-francis) wrote :

I would agree with Philipp, as this effectively breaks pxe booting Ubuntu 14.04 and prevents any organization trying to install 14.04 at any scale from doing so. The workaround from zoolook, unfortunately, didnt work for me.

Revision history for this message
bog (martaina) wrote :

Our workaround at the moment looks like this:

d-i preseed/late_command string \
        in-target apt-get --yes purge linux-image-extra-3.13.0-24-generic;\
        in-target apt-get --yes purge linux-image-3.13.0-24-generic;\
        in-target apt-get --yes install linux-image-extra-3.13.0-34-generic --reinstall; \
        chroot /target sh -c "/usr/sbin/update-initramfs -c -k all"; \
        sync

It is very dirty and has to be adjusted everey time a new kernel gets released, but it works.
NOTE: There have to be tabs not spaces in every new line.

Revision history for this message
Mcp76 (mcp76) wrote :

I can not install "debconf-utils"

# apt-get install debconf-utils

because of this bug I always get the following error when I try "apt-get -f install"

# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  linux-image-3.13.0-34-generic
Suggested packages:
  fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
The following NEW packages will be installed:
  linux-image-3.13.0-34-generic
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
117 not fully installed or removed.
Need to get 0 B/14,6 MB of archives.
After this operation, 32,5 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 187524 files and directories currently installed.)
Preparing to unpack .../linux-image-3.13.0-34-generic_3.13.0-34.60_i386.deb ...
This kernel does not support a non-PAE CPU.
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-34-generic_3.13.0-34.60_i386.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-34-generic /boot/vmlinuz-3.13.0-34-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-34-generic /boot/vmlinuz-3.13.0-34-generic
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-3.13.0-34-generic_3.13.0-34.60_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Does anybody have a solution for this?

Revision history for this message
bog (martaina) wrote :

try this:

Make sure you are not running Kernel 3.13.0-24
Then
apt-get purge linux-image-extra-3.13.0-24-generic
apt-get purge linux-image-3.13.0-24-generic
apt-get install linux-image-extra-3.13.0-34-generic

Revision history for this message
bog (martaina) wrote :

The Workaround mentioned by zoolook doesent work for me.

Revision history for this message
James Swarbrick (jimmyswarbrick) wrote : Re: [Bug 1317602] Re: package linux-image-3.13.0-24-generic 3.13.0-24.46 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1
Download full text (3.2 KiB)

Success - I was able to resolve this by fixing dependancies in Nautilus -
Don't know why this worked, when sudo apt-get -f install did not

On Thu, Aug 21, 2014 at 10:43 PM, bog <email address hidden> wrote:

> The Workaround mentioned by zoolook doesent work for me.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1317602
>
> Title:
> package linux-image-3.13.0-24-generic 3.13.0-24.46 failed to
> install/upgrade: subprocess new pre-installation script returned error
> exit status 1
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> while installing an update
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-24-generic 3.13.0-24.46
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CRDA: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden: 'iw'
> Date: Thu May 8 19:11:23 2014
> DuplicateSignature:
> package:linux-image-3.13.0-24-generic:3.13.0-24.46:subprocess new
> pre-installation script returned error exit status 1
> ErrorMessage: subprocess new pre-installation script returned error exit
> status 1
> HibernationDevice: RESUME=UUID=56bc50ae-9d55-42ad-9ff5-6ece8d748bb3
> InstallationDate: Installed on 2014-05-03 (5 days ago)
> InstallationMedia: It
> Lsusb:
> Bus 001 Device 002: ID 0cde:0006 Z-Com XG-300 802.11b Adapter
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 002: ID 046d:c018 Logitech, Inc. Optical Wheel Mouse
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: FUJITSU SIEMENS AMILO L Series
> ProcFB: 0 VESA VGA
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-24-generic
> root=/dev/mapper/it--vg-root ro quiet splash vt.handoff=7
> PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No
> PulseAudio daemon running, or not running as session daemon.
> RelatedPackageVersions: grub-pc 2.02~beta2-9
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> SourcePackage: linux
> Title: package linux-image-3.13.0-24-generic 3.13.0-24.46 failed to
> install/upgrade: subprocess new pre-installation script returned error exit
> status 1
> UpgradeStatus: No upgrade log present (probably fresh install)
> WifiSyslog:
>
> dmi.bios.date: 11/25/2005
> dmi.bios.vendor: FUJITSU SIEMENS
> dmi.bios.version: 1.0G-0031-0812
> dmi.board.name: AMILO L7300
> dmi.board.vendor: FUJITSU SIEMENS
> dmi.board.version: None
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnFUJITSUSIEMENS:bvr1.0G-0031-0812:bd11/25/2005:svnFUJITSUSIEMENS:pnAMILOLSeries:pvr:rvnFUJITSUSIEMENS:rnAMILOL7300:rvrNone:cvnFUJITSUSIEMENS:ct10:cvrN/A:
> dmi.product.name: AMILO L Series
> dmi.sys.vendor: FUJITSU SIEMENS
>
> To manage notifications about this bug go to:
> https://bugs.l...

Read more...

Revision history for this message
James Swarbrick (jimmyswarbrick) wrote :

Success - I was able to resolve this by fixing dependancies in Nautilus - Don't know why this worked, when sudo apt-get -f install did not

Revision history for this message
James Swarbrick (jimmyswarbrick) wrote :

Sorry - Dependancies were fixed in Synaptic - Brain-fart when typing

Revision history for this message
Mcp76 (mcp76) wrote :

I tried the hint from bog on 2014-08-21 but it did solve my issue. Now I found out why:

For some reason (I don't know) my last running kernel was booted without an pae enabled cpu. This causes the subprocess error from above.

A very nice solution for that was: Add "pae" flag to /proc/cpuinfo (see 2. under https://help.ubuntu.com/community/EnablingPAE )

Revision history for this message
bog (martaina) wrote :

I think this should be rated higher than medium, because this is so embarassing for Ubuntu and is a joy for all the "I told you so, ubuntu(linux) sucks"-sayers.

Revision history for this message
Mcp76 (mcp76) wrote :

I absolutly agree to the above. This error was very hard so solve. For a new ubuntu / linux user unable to solve and often the first try is of course the only try. This is sad because in most cases (except above) ubuntu works like a charm.

Revision history for this message
David Reitz (dreitz) wrote :

I ran into this issue (or one very similar), and it seems that uninstalling ksplice (via "apt-get remove ksplice ksplice-uptrack") resolved it for me.

Revision history for this message
james.d.hutton (james-d-hutton) wrote :

I had this problem after installing from a CD onto a old (approx 2004) Pentium machine, and then attempting to get the latest updates using Software Updater.

The solution described in comment #18 solved this for me.

Revision history for this message
bog (martaina) wrote :

Why cant you fix this?
Even the utopic netboot image is broken!
Every PXE-Installation fails with this netboot images..... m(

Revision history for this message
Raphael Thoma (raphithom-4) wrote :

Any news on this? We're seeing the same problem while installing ubuntu 14.04 via PXE.

Revision history for this message
Jean Christophe André (progfou) wrote :

Trying a 14.04 netboot today still fails the same way.

I had to do this to allow the installation to continue:
- switch to the 2nd console (alt+f2)
- press enter to get a command prompt
- type these commands:
    chroot /target
    rm /initrd.img*
    dpkg --configure -a # it runs the linux-image-extra-3.13.0-24-generic configuration
    exit # the chroot
    exit # the shell
- switch back to the 1st console (alt+f1)
- continue the installation by re-running the last step (software installation)

This allows the installation to continue, but this problem definitely forbids fully automated/unattended installation… :-(

IMHO, it seems two kernels are trying to make the same link to /initrd.img and the second one fails to do it because it already exists, making its configuration (and the installation) to stop.

The second kernel (3.13.0-66) is a security update coming from trusty-updates (and trusty-security).

Revision history for this message
Jean Christophe André (progfou) wrote :

Changing my netboot preseed configuration from "d-i pkgsel/upgrade select full-upgrade" to "d-i pkgsel/upgrade select none" was enough to get around this problem.

Hopefully the installation process still apply the security updates. It seems to do it later in time so it's probably why it doesn't fall into this very specific initrd.img symlink race condition case anymore.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers